# Tutorial 1: Finding and preparing the initial structure

As outlined earlier, the first step of a particular simulation is to learn what is known about the system under study. In many cases, this can entail detailed knowledge about the experimental setup and circumstances that one wishes to describe.

At a minimum, however, one does need to know about the properties of the materials or molecules in question in as detailed a fashion as possible.

Consider our present example. We are hoping to simulate a crude model of the water splitting reaction steps, hypothesizing that this reaction might take place at the surface of a Fe$_2$O$_3$ iron(III) oxide nanoparticle derived from the hematite bulk modification.

What we will first need to define are the atomic positions and the likely spin state in such a hypothetical hematite nanoparticle. For a nanoparticle, this information is generally not known. In order to learn more, we would have to define a particular experimental environment, e.g., water at a given pH value, the resulting surfaces and surface passivation of such a nanoparticle, the experimentally accessible atomic structure or atomic structures (more than one) of a Fe$_2$O$_3$ nanoparticle under given experimental conditions, and so forth. This is generally a very difficult problem.

The scientific approach, of course, is to break the problem down into specific, well-defined hypotheses that we can eventually test with one or more simulations.

One possible starting hypothesis is to assume that a hematite nanocluster might have formed in a structure related to a certain bulk crystalline modification and that it might assume a certain shape and stoichiometry. 

If that were true, what would be the shape of such a nanocluster and what would be the possible site(s) at which the water splitting reaction steps might take place?

In our later tutorial exercises, we will hypothesize that one possible cluster shape might be a stoichiometric (2:3 ratio) cut-out in a compact shape, derived from a [Wigner-Seitz](https://en.wikipedia.org/wiki/Wigner%E2%80%93Seitz_cell) variant of a given supercell of the bulk crystalline unit cell. This is by far not the only hypothesis one could come up with, and almost certainly not even the best hypothesis. Nevertheless it is a starting point that we can pursue here.

However, the above starting point requires us to answer several practical questions: 

- What is the bulk crystal structure of Fe$_2$O$_3$? 
- Are there other possible crystalline modifications (so called "polymorphs") of Fe$_2$O$_3$ that we might have missed? 
- Remembering our general chemistry education, "iron" sounds suspicious. Isn't that the iron that is magnetic? Isn't that the chemical element that's used in compass needles? If so, is a Fe(III) ion perhaps magnetic also? And if this ion is magnetic, is Fe$_2$O$_3$ perhaps a spin-polarized material? If so, what is its spin state?

The first way to find out is to research what is known about Fe$_2$O$_3$ in the literature. There are many ways to do so. Our particular suggestion (not the only option) is to consult a materials reference source that collects experimentally derived information for reference purposes. 

One such source is Springer Materials, which builds (among other things) on the Landolt-Börnstein reference books with a history of more than a century. One of the authors of this tutorial (VB) has, in fact worked with Springer Materials for this very reason. Most university libraries provide access to this source. However, if that is not the case, the principle illustrated below is general: Identify a trusted source for known materials data and identify the most likely known properties of the material in question.

For this tutorial, try to find the [Fe2O3 Hematite](https://en.wikipedia.org/wiki/Hematite) structure. The steps to be pursued could look as follows:

1. Browse [*Springer Materials*](https://materials.springer.com) for a suitable experimental structure of hematite Fe$_2$O$_3$. In another of the authors' (SK) experience, querying google for "Fe2O3 hematite springer materials" is actually faster. This search leads to at least one crystallographic information file (CIF), which contains an X-ray diffraction structure, including source information.
2. Normally, actually read the publication in which this crystal was synthesized and the structure was published. You do want to be sure that the structure information found corresponds to experimental conditions that you had in mind. A bit of a broader search of Springer Materials reveals the fact that there are several other polymorphs of Fe$_2$O$_3$, including cif files. It is therefore very important to obtain an overview of these different possibilities and under which conditions they might form.
2. Once you are convinced that you found an experimental crystal structure that corresponds to the conditions that you intend to simulate, upload the cif file to [GIMS](https://gims.ms1p.org) and import it through the *Structure Builder*
3. Often, the crystal structure will be given in the form of a so-called "conventional unit cell", which has an easily visualizable shape but which is itself a supercell of a smaller (fewer atoms) "primitive cell" that describes the same, three-dimensional, infinite-perioidc  atomic lattice. For computational purposes and unless you have a good reason to do otherwise, you will **always** want the smallest possible structure that simulates the system in question correctly. In the case of hematite Fe$2$O$_3$, it turns out that the conventional unit cell has 30 atoms, whereas a primitive cell can be found that contains only 10 atoms. Create this primitive cell using GIMS, by clicking on the field *Primitive Cell* under the "Standardized Cells" tab (right side panel).
4. Bulk transition metal oxides usually have some form of magnetism. Thus, finding a good spin initialization is crucial for a well-convergable and physically meaningful structure. If available, the precise magnetic configuration of a material is often identified by neutron diffraction. If that is not the case, previous computational predictions are often your best bet. Nevertheless, here, too, a source such as Springer Materials can be queried. After some searching, we settled for the spin configuration published in the following reference: <https://doi.org/10.3390/min4010089>. Take a look ... This is, however, not the only reference. For a complete study of this system, some more literature research is recommended. Note that the reference above does cite an experimental "Fe magnetic moment (4.6–4.9 $\mu_B$)", attributed to two other references, <https://doi.org/10.1088/0022-3719/4/15/025> and <https://doi.org/10.1016/0031-9163(65)90731-6>
5. Assign appropriate initial moments to the atoms of the primitive cell in GIMS. You can do that by clicking at the colored circle right to the element symbol in the right side panel. 
  - Here, however, we encounter a present limitation of the spin initialization (not of the results) possible for periodic systems in FHI-aims at the time of writing. Specifically, only neutral atoms can make up a periodic initial density at this point. However, a neutral Fe atom has six d electrons, allowing for a maximal spin state of the d electrons of +4, not above. Ionic initializations are possible for non-periodic systems (later) and indeed, a Fe(III) ion will allow for a high-spin initialization in the chemically expected state, +5. For the time being, we therefore initialize the spin-carrying ion sites in periodic Fe$_2$O$_3$ with a spin of +/-4 (highest absolute value allowed), whereas in a non-periodic nanoparticle, an initial charge +3 for Fe, an initial charge -2 for O, and a corresponding high-spin initialization with moments of +/-5 on the Fe ions will be our choice.
  - Additionally, visually comparing the spin configuration in Figure 3 of Ref. <https://doi.org/10.3390/min4010089> (conventional cell) with the primitive cell representation (GIMS) is not easy. In our solution to the present tutorial, we provide an initial `geometry.in` file for the depicted spin configuration in the `solutions` folder. Additionally, the same geometry with symmetry constraints (see Ref. <https://www.nature.com/articles/s41524-019-0254-4>) to preserve the symmetry of Fe$_2$O$_3$ at the space group, R-3m1 (Space group number 167), is also provided in `geometry_sym.in`.

However, some more staring at Figure 3 of Ref. <https://doi.org/10.3390/min4010089> should convince you that there are at least two possible different, inequivalent antiferromagnetic spin configurations (total spin moment zero for the full unit cell due to opposing spins) for the primitive cell of hematite Fe$2$O$_3$. Of course, we can compare both solutions computationally in Tutorial 2 and we will do this there.

